%define name	alienpool
%define version	0.2.0
%define release	1mdk

Name:		%{name}
Summary:	Arcade-style mix of asteroids and pool
Version:	%{version}
Release:	%{release}
Epoch:		0
Source0:	http://mike.taequin.org/alienpool/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
URL:		http://mike.taequin.org/alienpool/
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
Requires:	SDL >= 0:1.2
Requires:	SDL_image >= 0:1.2
Requires:	SDL_mixer >= 0:1.2
Requires:	SDL_ttf >= 0:2.0
BuildRequires:	SDL1.2-devel
BuildRequires:	SDL_image1.2-devel
BuildRequires:	SDL_mixer1.2-devel
BuildRequires:	SDL_ttf-devel >= 0:2.0

%description
Alienpool is a space-shooter that is similar to both asteroids
and pool. Move a spaceship around the screen and shoot at aliens.
Aliens that have been shot bounce around the screen and hit other
aliens.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir}
%make

%install
%makeinstall_std

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name):needs=x11 section=Amusement/Arcade \
title="Alien Pool" longtitle="Arcade-style mix of asteroids and pool" \
command="%{_gamesbindir}/%{name}" icon="%{name}.png"
EOF

%__install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%__install -D -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%__install -D -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%__rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/alienpool.xpm

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(0644,root,root,0755)
%doc README NEWS COPYING AUTHORS
%attr(2755, root, games) %{_gamesbindir}/%{name}
%attr(664, root, games) %{_localstatedir}/games/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/pixmaps/%{name}-48.png
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Sep 02 2004 David Walluck <walluck@linux-mandrake.com> 0:0.2.0-1mdk
- 0.2.0

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.0-2mdk
- Rebuild

* Sun Feb 15 2004 David Walluck <walluck@linux-mandrake.com> 0:0.1.0-1mdk
- release
